Skip to navigation

List support channels

Returns a paginated list of support channels for a specific company, with optional filtering by resolution status and custom sorting.

Required permissions:

  • support_chat:read

Authentication

AuthorizationBearer

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word ‘Bearer’, which will look like Bearer ***************************

Query parameters

afterstring or nullOptional
beforestring or nullOptional
firstinteger or nullOptional
lastinteger or nullOptional
company_idstring or nullOptional
viewenum or nullOptional
The perspective to filter support channels by.
Allowed values:
openboolean or nullOptional
directionenum or nullOptional
The direction of the sort.
Allowed values:
orderenum or nullOptional
Sort options for message channels
Allowed values:

Response

A successful response
datalist of objects
A list of nodes.
page_infoobject
Information to aid in pagination.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error